### Method

# WebKit2 WebView get_automation_presentation_type

since: 2.28

#### Declaration [src]

    WebKitAutomationBrowsingContextPresentation
    webkit_web_view_get_automation_presentation_type (
      WebKitWebView* web_view
    )

#### Description [src]

Get the presentation type of `WebKitWebView` when created for automation.

Available since: 2.28

Gets property | `WebKit2.WebView:automation-presentation-type`

#### Return value

Type: `WebKitAutomationBrowsingContextPresentation`

A `WebKitAutomationBrowsingContextPresentation`.